Bug 1673325 - python2 setup.py bdist_rpm needs --fix-python to work properly
Summary: python2 setup.py bdist_rpm needs --fix-python to work properly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python2
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.0
Assignee: Python Maintainers
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-07 11:58 UTC by Lukáš Zachar
Modified: 2019-05-22 05:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 13:27:48 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
setup.py (2.49 KB, text/plain)
2019-02-07 12:21 UTC, Lukáš Zachar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Python 4459 0 None None None 2019-03-11 13:36:27 UTC

Description Lukáš Zachar 2019-02-07 11:58:45 UTC
Description of problem:

If I run `python2 setup.py bdist_rpm` it generates script which runs  `python setup.py build` and that causes fail because `python` executable was not found.

I had to add --fix-python so python2 was used inside the script.


Additional info:
I'm not sure how expected it is, but at least documentation might be necessary.

Comment 1 Petr Viktorin 2019-02-07 12:03:30 UTC
Can you post the "setup.py" file you're using?

Comment 2 Petr Viktorin 2019-02-07 12:03:52 UTC
Or is it python2's own setup.py?

Comment 3 Lukáš Zachar 2019-02-07 12:21:37 UTC
Created attachment 1527799 [details]
setup.py

jinja2's setup.py

Comment 5 Victor Stinner 2019-03-11 13:36:28 UTC
This bug has been reported upstream: https://bugs.python.org/issue4459 But the issue has been closed as REJECTED. It has been rejected while distutils was frozen and distutils2 was being developed. But distutils2 has been abandoned in the meanwhile...

Last comment on the Python upstream:
"FYI, this is fixed in the new bdist_rpm2 command: https://bitbucket.org/tarek/pypi2rpm/changeset/ce6626df0225"

Comment 6 Petr Viktorin 2019-04-09 13:27:48 UTC
Closing WONTFIX. If a customer has an issue with bdist_rpm, we can re-open.


Note You need to log in before you can comment on or make changes to this bug.